using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace skyscraper8.ReutersWne
{
	internal interface IWneHandler
	{
		void OnWneStoryComplete(WneStoryProgress wneStoryProgress, Stream value);
		void OnWneStoryDetect(uint embeddedSessionId);
		void OnWneStoryFail(uint sessionId);
		void OnWneStoryProgress(WneStoryProgress wneStoryProgress);
	}
}
